@use '../../stylesheets/core';

.rui-navbar-menu {

  // Needed to position content
  position: relative;

  &__content {
    position: absolute;
    z-index: var(--z-index-menu);
    display: none;
    flex-direction: column;
    background-color: var(--background-color);
    box-shadow: 0 6px 11px -7px black;

    @include core.respond-to('medium-up') {
      position: relative;
      z-index: 0;
      display: flex;
      flex-direction: row;
      align-items: center;
      border: none;
      box-shadow: none;

      .rui-menu-item {
        min-width: unset;
      }
    }

    .rui-dropdown{

      // Fix dropdowns height
      > .rui-dropdown__trigger {
        height: var(--menu-item-height);
        padding: var(--spacer-small) var(--spacer-default);
        background-color: var(--background-color);
        color: currentcolor;
        font-variant: none;

        &:hover {
          background-color: var(--component-content-background);
        }
      }
    }
  }

  &--right {
    .rui-navbar-menu__content {
      right: 0;
    }
  }

  // Re-define the ".menu--horizontal" variant for large screens
  &--toolbar {
    .rui-navbar-menu__content {
      @include core.respond-to('medium-up') {
        .rui-menu-item {
          span {
            display: none;
          }
        }

        .rui-menu-item-separator {
          height: 1em;
          border-top: unset;
          border-left: 1px solid currentcolor;
          margin: var(--spacer-small) 0;
        }
      }
    }
  }

  &__trigger {
    display: flex;
    height: 30px;
    align-items: center;
    padding: 0 var(--spacer-default);
    border-radius: var(--border-radius);
    background: var(--component-content-background);
    gap: var(--spacer-small);

    @include core.respond-to('medium-up') {
      display: none;
    }

    &--no_arrow {
      &::after {
        margin-left: 0;
        content: unset;
      }
    }
  }

  &:hover,
  &:active {
    .rui-navbar-menu__trigger {
      border-color: currentcolor;
    }

    .rui-navbar-menu__content {
      display: flex;

      @include core.respond-to('medium-up') {
        flex-direction: row;
      }
    }
  }

  &:not(:last-child) {
    margin-right: var(--spacer-default);
  }
}
